<!DOCTYPE html>
<html>
<head>
	<!-- <meta charset="ISO-8859-1"> -->
	<meta charset="utf-8" />
	
	<link rel="shortcut icon" href="images/favicon.ico" >
	
	<title>Mapping Tool</title>

	<!-- jQuery -->
	<script type="text/javascript" src="JS/jquery/jquery-1.8.2.js"></script>
	<!-- jQuery UI -->
	<link rel="stylesheet" type="text/css" href="JS/jquery-ui/jquery-ui-1.9.1.custom.css" />
	<script type="text/javascript" src="JS/jquery-ui/jquery-ui-1.9.1.custom.js"></script>
	<!-- jQuery Form -->
	<script type="text/javascript" src="JS/jquery.form.js"></script>
	<!-- jQuery UI Layout -->
	<link rel="stylesheet" type="text/css" href="CSS/layout-default-latest.css" />
	<script type="text/javascript" src="JS/jquery.layout-latest.js"></script>
	<!-- jQuery Treeview -->
	<link rel="stylesheet" href="LIB/TreeView/jquery.treeview.css" />
	<script src="LIB/TreeView/jquery.treeview.js" type="text/javascript"></script>
	<!-- Other -->
	<script type="text/javascript" src="JS/jquery.cookie.js"></script>
	<!-- jQuery Balloon -->
	<script type="text/javascript" src="JS/jquery.balloon.js"></script>
	<!-- TimChros -->
	<link rel="stylesheet" type="text/css" href="CSS/main.css" />
	<script src="JS/ontologies.js" type="text/javascript"></script>
	<script src="JS/mapping.js" type="text/javascript"></script>
	
	<script type="text/javascript">
	
	// Warn User if Back is Pressed
	window.onbeforeunload = function() { if ($("#exportFormat").val() == "0" || $("#exportFormat").val() == "") return "You work will be lost."; };
	
	// Tooltip

	$(function() {
        $( document ).tooltip({
            position: {
                my: "center bottom-20",
                at: "center top",
                using: function( position, feedback ) {
                    $( this ).css( position );
                    $( "<div>" )
                        .addClass( "arrow" )
                        .addClass( feedback.vertical )
                        .addClass( feedback.horizontal )
                        .appendTo( this );
                }
            }
        });
    });	
	
	// Accordion - Autoopen
	
	var cfg = ($.hoverintent = {
        sensitivity: 7,
        interval: 100
    });
 
    $.event.special.hoverintent = {
        setup: function() {
            $( this ).bind( "mouseover", jQuery.event.special.hoverintent.handler );
        },
        teardown: function() {
            $( this ).unbind( "mouseover", jQuery.event.special.hoverintent.handler );
        },
        handler: function( event ) {
            var that = this,
                args = arguments,
                target = $( event.target ),
                cX, cY, pX, pY;
 
            function track( event ) {
                cX = event.pageX;
                cY = event.pageY;
            };
            pX = event.pageX;
            pY = event.pageY;
            function clear() {
                target
                    .unbind( "mousemove", track )
                    .unbind( "mouseout", arguments.callee );
                clearTimeout( timeout );
            }
            function handler() {
                if ( ( Math.abs( pX - cX ) + Math.abs( pY - cY ) ) < cfg.sensitivity ) {
                    clear();
                    event.type = "hoverintent";
                    // prevent accessing the original event since the new event
                    // is fired asynchronously and the old event is no longer
                    // usable (#6028)
                    event.originalEvent = {};
                    jQuery.event.handle.apply( that, args );
                } else {
                    pX = cX;
                    pY = cY;
                    timeout = setTimeout( handler, cfg.interval );
                }
            }
            var timeout = setTimeout( handler, cfg.interval );
            target.mousemove( track ).mouseout( clear );
            return true;
        }
    };

	
	$(function() {
		
		/* ************* Loading Ontologies ************* */
		 
		// Prepare Ontology Load Dialogs
  		$("#ontoDialogA").dialog({
			title: "Ontology A",
			autoOpen: false,
			width: 600,
			height: 250//,
		});

        $( "#ontoProvideAccordion" ).accordion({
            event: "click hoverintent",
            heightStyle: "content"
        });
  		
  		$("#ontoDialogB").dialog({
  			title: "Ontology B",
  			autoOpen: false,
  			width: 600,
  			height: 250//,
  		});

        $( "#ontoProvideAccordion2" ).accordion({
            event: "click hoverintent",
            heightStyle: "content"
        });
  		
		$("#depenDialog").dialog({
			title: "Resolve Dependencies",
			autoOpen: false,
			width: 800,
			height: 400,
			modal: true,
			open: 
				function(event, ui) { 
					jQuery('.ui-dialog-titlebar-close').hide(); 
				}
		});

	  	$("#clickedElementDialog").dialog({
	  		title: "Element Definition",
	  		autoOpen: false,
	  		width: 700,
	  		height: 500,
	  		buttons: {
                Ok: function() {
                    $( this ).dialog( "close" );
                }
            }
		});
		
		// Add Functionallity to Load Ontologies A and B buttons
  		
		preparePanel("A");
		preparePanel("B");
		
		// Creating Ontologies A and B tabs
		
		$( "#tabsA" ).tabs();
		$( "#tabsA" ).css("height","98%");
		$( "#tabsB" ).tabs();
		$( "#tabsB" ).css("height","98%");
		$( "#tabsM" ).tabs();
		$( "#tabsM" ).css("height","98%");
  		
  		
		/* ************* Mapping ************* */
		
		$("#class-pattern-dialog").dialog({
	  		title: "Class Pattern Selection",
	  		autoOpen: false,
	  		width: 600,
	  		height: 400//,
	  	});
  		
	  	$("#relation-pattern-dialog").dialog({
			title: "Relation Pattern Selection",
	  		autoOpen: false,
	  		width: 600,
	  		height: 400//,
		});
	
	  	$("#property-pattern-dialog").dialog({
	  		title: "Property Pattern Selection",
	  		autoOpen: false,
	  		width: 600,
	  		height: 400//,
	  	});
	  	
	  	$("#instance-pattern-dialog").dialog({
	  		title: "Instance Pattern Selection",
	  		autoOpen: false,
	  		width: 600,
	  		height: 400//,
		});
		
		
		$("#mappingScenarioSuggestionSelection").dialog({
	  		title: "Scenario Selection",
	  		autoOpen: false,
	  		width: 700,
	  		height: 400//,
		});
	  	
	  	$("#infodialog").dialog({
	  		title: "Note",
	  		autoOpen: false,
	  		width: 400,
	  		height: 300,
	  		buttons: {
                Ok: function() {
                    $( this ).dialog( "close" );
                }
            }
		});
	  	
	  	mappingInit();
	  	
	  	// Suggestions Tab
	  	handleSuggestionActions();
	  	handleReloadAction();
	  	
	  	// Create a New Mapping Tab + View All Correspondences Tab
	  	handleMinimizeMaximize();
	  	loadMappingScenarios();
	  	handleMappingScenarioButton();
	  	handleEntityButton("1");
		handleEntityButton("2");
		handleTransformationButton("1");
		handleTransformationButton("2");
		handleStoreResetButtons();

		// View
		handleExportAction();
		
		$( "#dialog-message" ).dialog({
        	autoOpen: false,
        	width: 700,
			height: 500,
            buttons: {
                Ok: function() {
                    $( this ).dialog( "close" );
                }
            }
        });
		
	 });
	
	function toggleLiveResizing () {
		$.each( $.layout.config.borderPanes, function (i, pane) {
			var o = myLayout.options[ pane ];
			o.livePaneResizing = !o.livePaneResizing;
		});
	};
	
	function toggleStateManagement ( skipAlert, mode ) {
		if (!$.layout.plugins.stateManagement) return;

		var options	= myLayout.options.stateManagement
		,	enabled	= options.enabled // current setting
		;
		if ($.type( mode ) === "boolean") {
			if (enabled === mode) return; // already correct
			enabled	= options.enabled = mode
		}
		else
			enabled	= options.enabled = !enabled; // toggle option

		if (!enabled) { // if disabling state management...
			myLayout.deleteCookie(); // ...clear cookie so will NOT be found on next refresh
			if (!skipAlert)
				alert( 'This layout will reload as the options specify \nwhen the page is refreshed.' );
		}
		else if (!skipAlert)
			alert( 'This layout will save & restore its last state \nwhen the page is refreshed.' );

		// update text on button
		var $Btn = $('#btnToggleState'), text = $Btn.html();
		if (enabled)
			$Btn.html( text.replace(/Enable/i, "Disable") );
		else
			$Btn.html( text.replace(/Disable/i, "Enable") );
	};

	// set EVERY 'state' here so will undo ALL layout changes
	// used by the 'Reset State' button: myLayout.loadState( stateResetSettings )
	var stateResetSettings = {
		north__size:		"auto"
	,	north__initClosed:	false
	,	north__initHidden:	false
	//,	south__size:		"auto"
	,	south__initClosed:	false
	,	south__initHidden:	false
	//,	west__size:			200
	,	west__initClosed:	false
	,	west__initHidden:	false
	//,	east__size:			300
	,	east__initClosed:	false
	,	east__initHidden:	false
	};

	var myLayout;

	$(document).ready(function () {

		myLayout = $('body').layout({

		//	General Settings
			closable:					true	// pane can open & close
		,	resizable:					true	// when open, pane can be resized 
		,	slidable:					false	// when closed, pane can 'slide' open over other panes - closes on mouse-out
		,	livePaneResizing:			true

		//	Header - Footer Settings
		,	north__closable:			false
		,	north__resizable:			false
		,	north__size:				80
		, 	south__closable:			false
		,	south__resizable:			false	
		,	south__size:				25

		//	Mane Panels Settings
		,	west__size:					320
		,	west__minSize:				200
		,	west__maxSize:				.3
		,	west__spacing_closed:		20
		,	east__size:					320
		,	east__minSize:				200
		,	east__maxSize:				.3 // 30% of layout width
		,	east__spacing_closed:		20
		,	center__minWidth:			400

		//	enable showOverflow on west-pane so CSS popups will overlap north pane
		,	west__showOverflowOnHover:	true

		//	enable state management
		,	stateManagement__enabled:	true // automatic cookie load & save enabled by default

		,	showDebugMessages:			true // log and/or display messages from debugging & testing code
		});

		// if there is no state-cookie, then DISABLE state management initially
		var cookieExists = !$.isEmptyObject( myLayout.readCookie() );
		if (!cookieExists) toggleStateManagement( true, false );

		// 'Reset State' button requires updated functionality in rc29.15+
		if ($.layout.revision && $.layout.revision >= 0.032915)
			$('#btnReset').show();
		
 	});
	

	</script>

</head>
<body>

<!-- ------------- Page Layout Divs ------------- -->

<!-- Header - NORTH -->
<div class="ui-layout-north" onmouseover="myLayout.allowOverflow('north')" onmouseout="myLayout.resetOverflow(this)">
	<div class="header">
        <img id="siteName" src="images/site.logo.gif" alt="Ontologies Alignment Tool">
	</div>
	<div id="socialnet"> </div>
    <div id="ontoA">
        <button id="buttonA">Load Source Model</button>
    </div>
    <div id="ontoB">
        <button id="buttonB">Load Target Model</button>
    </div>
</div>

<!-- Ontology 1 Panel - WEST -->
<div class="ui-layout-west">
	<input type="hidden" id="jsonOntologyFlatListsA"/>
	<input type="hidden" id="jsonOntologyA"/>
	<input type="hidden" id="jsonOntologyPropertiesA"/>
	<div id="tabsA">
	    <ul>
	        <li><a href="#tabs-1" title="Possible Values">Set(s) of Terms</a></li>
	        <li style="display: none"><a href="#tabs-2" title="Object Properties">OP</a></li>
	        <li><a href="#tabs-3" title="Cohort Parameters">Cohort Parameters</a></li>
	        <li style="display: none"><a href="#tabs-4" title="Individuals">I</a></li>
	    </ul>
	    <div id="tabs-1" class="scrollableTabArea">
            <p>This section will be automatically updated with the <b>Cohort Metadata</b> (i.e., Parameters and distinct Values).</p>
            <p>The user should either <b>upload</b> the Cohort Metadata File or provide its <b>URL</b>.</p>
            <p style="color:darkred">The File provided should be a MS Excel document with Cohort Metadata (automatically generated based on Cohort Data and further revised by both technical and clinical experts).</p>
            <p>When Cohort Metadata loaded on server, its elements will be distributed in the above two <b>tabs</b> based on the <i>category</i> they belong to.</p>
            <p>In both tabs, the elements will be presented in a form of a <b>tree</b> based on the <i>axioms</i> specified.</p>
        </div>
	    <div id="tabs-2" class="scrollableTabArea">
	        <!-- Disabled... None Description Required -->
	    </div>
	    <div id="tabs-3" class="scrollableTabArea">
	        <!-- Disabled... None Description Required -->
	    </div>
	    <div id="tabs-4" class="scrollableTabArea">
	        <!-- Disabled... None Description Required -->
	    </div>
	</div>
</div>

<!-- Ontology 2 Panel - EAST -->
<div class="ui-layout-east">
	<input type="hidden" id="jsonOntologyFlatListsB"/>
	<input type="hidden" id="jsonOntologyB"/>
	<input type="hidden" id="jsonOntologyPropertiesB"/>
	<div id="tabsB">
	    <ul>
	        <li><a href="#tabs-1">Classes</a></li>
	        <li><a href="#tabs-2" title="Object Properties">ObjProp</a></li>
	        <li><a href="#tabs-3" title="Datatype Properties">DatProp</a></li>
	        <li><a href="#tabs-4" title="Individuals">Indiv</a></li>
	    </ul>
	    <div id="tabs-1" class="scrollableTabArea">
            <p>This section will be automatically updated when <b>HarmonicSS Reference Model</b> provided.</p>
            <p>The user can either <b>upload</b> the ontology (along with the <i>imported</i> ones, if presented) or provide its <b>URL</b>.</p>
            <p>When ontology loaded on server, its elements will be distributed in the above <b>tabs</b> based on the <i>class</i> they belong to.</p>
            <p>In the first three tabs, the elements will be placed in a <b>tree</b> based on the <i>axioms</i> specified in the ontology.</p>
        </div>
	    <div id="tabs-2" class="scrollableTabArea">
	        <!-- Disabled... None Description Required -->
	    </div>
	    <div id="tabs-3" class="scrollableTabArea">
	        <!-- Disabled... None Description Required -->
	    </div>
	    <div id="tabs-4" class="scrollableTabArea">
	        <!-- Disabled... None Description Required -->
	    </div>
	</div>
</div>

<!-- Mapping Panel - CENTER -->
<div class="ui-layout-center">
	<div id="tabsM">
	    <ul>
	        <li><a href="#tabs-1" title="Simultaneously examine the definition of ontological elements">Ontological Elements</a></li>
	        <li><a href="#tabs-2" title="Handle suggested Mapping Rules, automatically produced by OAT">Handle Suggestions</a></li>
	        <li><a href="#tabs-3" title="Specify a new Mapping Rule, especially a complex one">Specify Mapping Rules</a></li>
	        <li><a href="#tabs-4" title="Examine and Export Mapping Rules specified">Examine / Export</a></li>
	    </ul>
	    <div id="tabs-1" class="scrollableTabArea2">
	        <div id="divO">
                <p>This panel (including tabs) will be enabled when both ontologies (A) and (B) loaded.</p>
                <p>In this area end users can:</p>
                <ul>
                    <li>Simultaneously <b>examine</b> the definition of ontological elements specified in the ontologies (A) and (B)</li>
                    <li><b>Handle</b> (accept/reject) alignments <i>proposed</i> by system</li>
                    <li><b>Define</b> <i>new</i> mapping rules (e.g., those missing)</li>
                    <li><b>Export</b> (save) mappings specified in the desirable format (HTML, JSON)</li>
                </ul>
                <p>For more information, please have a look at <a style="font-size: 1em;" href="http://ponte.grid.ece.ntua.gr:8080/OntoMapping/#12" target="_blank">Ontologies Alignment Tool site</a> ...</p>
	        </div>
	        <div id="divA"></div>
            <div id="divQuickM">
                <img id="narrow" src="images/narrower.png" title="The element selected from the left ontology has narrower meaning from the element selected in the right ontology.">
                <img id="equal" src="images/equal.png" title="The elements selected from two ontologies are equivalent.">
                <img id="broader"  src="images/broader.png" title="The element selected from the left ontology has broader meaning from the element selected in the right ontology.">
            </div>
	        <div id="divB"></div>
	    </div>
	    <div id="tabs-2" class="scrollableTabArea2">
	    	<input type="hidden" name="json" id="suggestionsHiddenInput"/>
	    	<div id="suggestionList"></div>
	    	<!-- These elements may not be necessary  -->
	        <div id="suggestedAction">
	        	<p>Massively accept/reject suggestions based on their confidence value:  <input type="checkbox" id="suggestEnableFilter" title="Click for enable ..." name="enable"/></p>
	        	<div id = "suggestedActionFilter">
	        		<p>Confidence value limit: <input type="text" id="downConfidenceLimit"/> (for example 0.8)</p>
	        	</div>
	    		<button id="rejectAllSuggestCorrespButton">Reject ALL</button>
	        	<button id="acceptAllSuggestCorrespButton">Accept ALL</button>
	        </div>
            <div id="reloadSuggestionsAction">
                <span title="... taking into account both those specified and those rejected">Recalculate: </span>
                <button id="reloadSuggestionsButton">Get Suggestions</button>
            </div>
	    </div>
	    <div id="tabs-3" class="scrollableTabArea2">
	        <div id="mapscenariopanel">
				<h2>Mapping Scenario:<span class="divToggle"><img src="images/minimize.png" class="tab3minimg"></span></h2>
				<div id="mapscenariodiv">
					<button id="mapscenariobutton">Select Mapping Scenario...</button>
				</div>
			</div>
            <div id="entity1panel">
				<h2>Entity 1:<span class="divToggle"><img src="images/minimize.png" class="tab3minimg"></span></h2>
				<div id="entity1div">
					<button id="entity1button">Specify...</button>
				</div>
			</div>
	        <div id="entity2panel">
				<h2>Entity 2:<span class="divToggle"><img src="images/minimize.png" class="tab3minimg"></span></h2>
				<div id="entity2div">
					<button id="entity2button">Specify...</button>
				</div>
			</div>
			<div id="transfpanel">
				<h2>Transformation:<span class="divToggle"><img src="images/minimize.png" class="tab3minimg"></span></h2>
				<div id="transfdiv1">
					<!--
					<button id="transfbutton1">Specify...</button>
					-->
				</div>
			</div>
	        <div class="relation">
	        	<h2>Relation:<span class="divToggle"><img src="images/maximize.png" class="tab3maximg"></span></h2>
	        	<div id="relationdiv">
	        		<p>Relation of Entity 1 towrads Entity 2: 
		        	<select name="relation" id="relationSelection">
						<option></option>
						<option>Equivalent</option>
						<option>Broader Meaning</option>
						<option>Narrower Meaning</option>
						<option>Partially Overlapping</option>
						<option selected="selected">Linked With</option>
					</select>
					</p>
				</div>
	        </div>
			<script> $("#relationdiv").hide(); </script>
	        <div class="directionpanel, csshidden">
				<h2>Direction:<span class="divToggle"><img src="images/maximize.png" class="tab3maximg"></span></h2>
				<div id="directiondiv">
	        		<p>The Direction for which the correspondence is valid: 
		        	<select name="direction" id="directionSelection">
						<option></option>
						<option>Both</option>
						<option selected="selected">From Ontology 1 to Ontology 2</option>
						<option>From Ontology 2 to Ontology 1</option>
					</select>
					</p>
				</div>
			</div>
			<script> $("#directiondiv").hide(); </script>
	        <div id="commentpanel">
				<h2>Comments:<span class="divToggle"><img src="images/maximize.png" class="tab3maximg"></span></h2>
				<div id="commentdiv">
					<textarea id="mappingdesc" rows="3" style="width: 99%;"></textarea>
				</div>
			</div>
			<script> $("#commentdiv").hide(); </script>
	        <div id="createActionPanel">
	        	<button id="resetButton">Reset</button>	
	        	<button id="storeButton">Store</button>
	        </div>
	    </div>
	    <div id="tabs-4" class="scrollableTabArea2">
            <input type="hidden" name="json" id="rejectionsHiddenInput"/>
	    	<input type="hidden" name="json" id="correspondencesHiddenInput"/>
            <div id="correspondenceList">
                <div id="loadFormDivID">
            	<p><strong>Load</strong> Mappings from (JSON) File: <img id="selectMapFileRemImg" title="Remove" src="images/eraser.png"></p>
            	<form id="mappingform" action="MappingProvideServlet" method="post" enctype="multipart/form-data">
                	<input type="file" id="jsonfile" name="jsonfile" value="Select"/>
                	<input type="submit" value="Load" disabled="true" onclick="this.disabled=true;"/>
                </form>
                </div>
            </div>
            <form action="MappingsExportServlet" id="exportForm" method="post">
                <div id="ontoMapCommentsDiv">
                    <!-- Provide your comments about mapping rules specified -->
                    <p>Provide a short description about the <i>purpose</i> of mapping rules specified:</p>
                    <textarea name="ontoMapComments" id="ontoMapCommentsTextArea" rows="3" style="width: 100%;"></textarea>
                </div>
                <div id="correspondenceListExport">
                    Select Format:
                    <select name="format" id="exportFormat">
                        <option value="0" selected="selected"></option>
                        <option value="1">JSON</option>
                        <option value="3">HTML</option>
                    </select>
                    <input type="hidden" name="origin" value="USER"/>
                    <input type="hidden" name="ontologies" id="theExportOntologies"/>
                    <input type="hidden" name="correspondences" id="theExportCorrespondences"/>
                    <button id="exportButton">Export</button>
                </div>
            </form>
	    </div>
	</div>
	
</div>

<!-- Footer - south-->
<div class="ui-layout-south">
	<div class="footer">
        <span class="video">
        	<a href="http://ponte.grid.ece.ntua.gr:8080/OntoMapping/" target="_blank" title="Go to Ontology Alignment Tool (OAT) web site">OAT Web Site</a> - 
        	<a href="/Harm-OAT/MappingScenariosViewServlet" target="_blank" title="View supported Mapping Scenarios">Mapping Scenarios</a>
        </span>
		The Ontology Alignment Tool (<strong>OAT</strong>) developed by Efthymios Chondrogiannis from <a href="http://www.iccs.gr/" target="_blank">ICCS</a>/<a href="http://www.ntua.gr" target="_blank">NTUA</a> within European project <a href="https://harmonicss.eu/" target="_blank">HarmonicSS</a>.
		<span class="version" title="This version of the OAT deployed.">Version: 0.9.3.2</span>
	</div>
</div>

<!-- ------------- Loading Ontologies Dialogs ------------- -->

<!-- Dialog for Ontology A -->
<div id="ontoDialogA" title="Ontology Dialog">
	<form id="ontoform" action="OntoFileUploadServlet" method="post" enctype="multipart/form-data">
        <p>Provide Data Model by either uploading the specific File (OWL or XLS) or specifying its location on Web (URL).</p>
        <div id="ontoProvideAccordion">
            <h3>Select File from your Disk:</h3>
            <div>
                <input type="file" id="ontofile" name="ontofile" value="Select" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel, .owl"/>
                <input type="submit" value="Upload"  onclick="this.disabled=true;"/>
            </div>
            <h3>Provide the URL:</h3>
            <div>
                <input type="text" name="ontourl"/>
                <input type="submit" value="Load"  onclick="this.disabled=true;"/>
            </div>
        </div>
	</form>
</div>

<!-- Dialog for Ontology B -->
<div id="ontoDialogB" title="Ontology Dialog">
    <form id="ontoform" action="OntoFileUploadServlet" method="post" enctype="multipart/form-data">
        <p>Provide the ontology B either uploading RDF/XML FILE or specifying its URL.</p>
        <div id="ontoProvideAccordion2">
            <h3>Select File from your Disk:</h3>
            <div>
                <input type="file" id="ontofile" name="ontofile" value="Select" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel, .owl"/>
                <input type="submit" value="Upload"  onclick="this.disabled=true;"/>
            </div>
            <h3>Provide the URL:</h3>
            <div>
                <input type="text" name="ontourl"/>
                <input type="submit" value="Load"  onclick="this.disabled=true;"/>
            </div>
        </div>
    </form>
</div>

<!-- Dialog for Dependencies - Imported Ontologies -->
<div id="depenDialog" title="Basic dialog"></div>

<!-- Dialog for Clicked Elements -->
<div id="clickedElementDialog" title="Element"></div>


<!-- ------------- Mapping Dialogs ------------- -->

<div id="mappingScenarioSelection" title="Mapping Scenario Selection Dialog">
	<p>Select the <strong>mapping scenario</strong> you would like to use - instanciate.</p>
	<div id="scenarioaccordion"></div>
</div>

<div id="mappingScenarioSuggestionSelection" title="Scenario Selection"> </div>

<div id="patternSelection" title="Pattern Selection Dialog">
	<p>Select the <strong>pattern</strong> you would like to use - instanciate.</p>
	<div id="accordion">
	    <h3>Class Patterns</h3>
	    <div>
	        <ul>
	        	<li><img src="images/infoButton.jpg" title="An owl Class described by a URI.">
	        		<a href="http://www.semanticweb.com/ontology/pattern#SimpleClassPattern">Simple Class Pattern</a></li>
	        	<li><img src="images/infoButton.jpg" title="A class implied by the union of two or more owl Classes.">
	        		<a href="http://www.semanticweb.com/ontology/pattern#ClassUnionPattern">Class Union Pattern</a></li>
	        	<li><img src="images/infoButton.jpg" title="A class implied by the intersection of two or more owl Classes.">
	        		<a href="http://www.semanticweb.com/ontology/pattern#ClassIntersectionPattern">Class Intersection Pattern</a></li>
			<!--
	        	<li><img src="images/infoButton.jpg" title="An owl Class any instances of which have a specific Attribute.">
	        		<a href="http://www.semanticweb.com/ontology/pattern#ClassByAttributeOccurencePattern">Class By Attribute Occurence Pattern</a></li>
	        	<li><img src="images/infoButton.jpg" title="An owl Class any instances of which have a specific Attribute the value of which is within a specific Range.">
	        		<a href="http://www.semanticweb.com/ontology/pattern#ClassByAttributeValueRestrictionPattern">Class By Attribute Value Restriction Pattern</a></li>
				<li><img src="images/infoButton.jpg" title="An owl Class with the mandatory/optional Parameters">
	        		<a href="http://www.semanticweb.com/ontology/pattern#ClassWithPropertiesRestrictionPattern">An owl Class with the mandatory/optional Parameters</a></li>
			-->	
	        </ul>
	    </div>
		<!--
	    <h3>Relation Patterns</h3>
	    <div>
	        <ul>
	        	<li><img src="images/infoButton.jpg" title="An owl Object Property described by a URI.">
	        		<a href="http://www.semanticweb.com/ontology/pattern#SimpleRelationPattern">Simple Relation Pattern</a></li>
	        	<li><img src="images/infoButton.jpg" title="The inverse relation implied by the owl Object Property given.">
	        		<a href="http://www.semanticweb.com/ontology/pattern#InverseRelationPattern">Inverse Relation Pattern</a></li>
	        	<li><img src="images/infoButton.jpg" title="An owl Object Property which can be applied (Domain) in those instances which belong to a specific owl Class.">
	        		<a href="http://www.semanticweb.com/ontology/pattern#RelationDomainRestrictionPattern">Relation Domain Restriction Pattern</a></li>
	       		<li><img src="images/infoButton.jpg" title="An owl Object Property which can point (Range) to those instances which belong to a specific owl Class.">
	       			<a href="http://www.semanticweb.com/ontology/pattern#RelationRangeRestrictionPattern">Relation Range Restriction Pattern</a></li>
	        	<li><img src="images/infoButton.jpg" title="A relation implied by the path formed by two or more owl Object Properties">
	        		<a href="http://www.semanticweb.com/ontology/pattern#RelationPathPattern">Relation Path Pattern</a></li>
                <li><img src="images/infoButton.jpg" title="An owl Object Property which can be applied (Domain) in those instances which belong to a specific owl Class and can point (Range) to those instances which belong to a specific owl Class.">
                    <a href="http://www.semanticweb.com/ontology/pattern#RelationDomainRangeRestrictionPattern">Relation Domain-Range Restriction Pattern</a></li>
	        </ul>
	    </div>
	    <h3>Property Patterns</h3>
	    <div>
	        <ul>
	        	<li><img src="images/infoButton.jpg" title="An owl Datatype Property described by a URI.">
	        		<a href="http://www.semanticweb.com/ontology/pattern#SimplePropertyPattern">Simple Property Pattern</a></li>
	        	<li><img src="images/infoButton.jpg" title="An owl Datatype Property which can be applied (Domain) in those instances which belong to a specific owl Class.">
	        		<a href="http://www.semanticweb.com/ontology/pattern#PropertyDomainRestrictionPattern">Property Domain Restriction Pattern</a></li>
	        	<li><img src="images/infoButton.jpg" title="An owl Datatype Property the value of which is restricted to be within a specific datatype.">
					<a href="http://www.semanticweb.com/ontology/pattern#PropertyRangeRestrictionPattern">Property Range Restriction Pattern</a></li>
	       		<li><img src="images/infoButton.jpg" title="An owl Datatype Property which can point (Range) to those resources which belong to a specific owl Class.">
	       			<a href="http://www.semanticweb.com/ontology/pattern#PropertyValueRestrictionPattern">Property Value Restriction Pattern</a></li>
	        	<li><img src="images/infoButton.jpg" title="A property implied by the path formed by one or more owl Object Properties followed by an owl Datatype Property.">
	        		<a href="http://www.semanticweb.com/ontology/pattern#RelationPropertyPathPattern">Relation Property Path Pattern</a></li>
                <li><img src="images/infoButton.jpg" title="An owl Datatype Property which can be applied (Domain) in those instances which belong to a specific owl Class and its value is restricted to be within a specific datatype.">
                    <a href="http://www.semanticweb.com/ontology/pattern#PropertyDomainRangeRestrictionPattern">Property Domain-Range Restriction Pattern</a></li>
	        </ul>
	    </div>
	    <h3>Individual Patterns</h3>
	    <div>
	       <ul>
	        	<li><img src="images/infoButton.jpg" title="An owl Individual described by a URI.">
	        		<a href="http://www.semanticweb.com/ontology/pattern#SimpleInstancePattern">Simple Instance Pattern</a></li>
				
	        </ul>
	    </div>
	    <h3>Other</h3>
	    <div>
	       <ul>
	        	<li><img src="images/infoButton.jpg" title="A collection of Properties.">
	        		<a href="http://www.semanticweb.com/ontology/pattern#PropertyCollectionPattern">Property Collection Pattern</a></li>
	        	
	        </ul>
	    </div>
		-->
	</div>
</div>

<div id="transfSelection" title="Transformation Selection">
<p>Select the <strong>pattern</strong> you would like to use - instanciate.</p>
	<div id="transfaccordion">
	    <h3>Simple Transformation</h3>
	    <div>
	        <ul>
	        	<li><img src="images/infoButton.jpg" title="Specifies the transformation that should take place in the value of a property - The value will be replaced by a new one.">
	        		<a href="http://www.semanticweb.com/ontology/transformation#ValuesTransformation">Values Transformation</a></li>
	        </ul>
			<ul>
	        	<li><img src="images/infoButton.jpg" title="Specifies the transformation that should take place in an expression in which the value of a property participates - The expression will be replaced by a new expression.">
	        		<a href="http://www.semanticweb.com/ontology/transformation#ExpressionTransformation">Expressions Transformation</a></li>
	        </ul>
	    </div>
	    <h3>Complex Transformation</h3>
	    <div>
	        <ul>
	        	<li><img src="images/infoButton.jpg" title="Correspond more to morphisms...">
	        		<a href="http://www.semanticweb.com/ontology/transformation#LatestPropertyValue">Latest Property Value</a></li>
	        </ul>
	    </div>
	</div>
</div>

<div id="class-pattern-dialog" title="Class Pattern Selection">
	<ul>
	   	<li><img src="images/infoButton.jpg" title="An owl Class described by a URI.">
	   		<a href="http://www.semanticweb.com/ontology/pattern#SimpleClassPattern">Simple Class Pattern</a></li>
	   	<li><img src="images/infoButton.jpg" title="A class implied by the union of two or more owl Classes.">
	   		<a href="http://www.semanticweb.com/ontology/pattern#ClassUnionPattern">Class Union Pattern</a></li>
	   	<li><img src="images/infoButton.jpg" title="A class implied by the intersection of two or more owl Classes.">
	   		<a href="http://www.semanticweb.com/ontology/pattern#ClassIntersectionPattern">Class Intersection Pattern</a></li>
	   	<li><img src="images/infoButton.jpg" title="An owl Class any instances of which have a specific Attribute.">
	   		<a href="http://www.semanticweb.com/ontology/pattern#ClassByAttributeOccurencePattern">Class By Attribute Occurence Pattern</a></li>
	   	<li><img src="images/infoButton.jpg" title="An owl Class any instances of which have a specific Attribute the value of which is within a specific Range.">
	   		<a href="http://www.semanticweb.com/ontology/pattern#ClassByAttributeValueRestrictionPattern">Class By Attribute Value Restriction Pattern</a></li>
	</ul>
</div>

<div id="relation-pattern-dialog" title="Relation Pattern Selection">
	<ul>
	   	<li><img src="images/infoButton.jpg" title="An owl Object Property described by a URI.">
			<a href="http://www.semanticweb.com/ontology/pattern#SimpleRelationPattern">Simple Relation Pattern</a></li>
	   	<li><img src="images/infoButton.jpg" title="The inverse relation implied by the owl Object Property given.">
	   		<a href="http://www.semanticweb.com/ontology/pattern#InverseRelationPattern">Inverse Relation Pattern</a></li>
	   	<li><img src="images/infoButton.jpg" title="An owl Object Property which can be applied (Domain) in those instances which belong to a specific owl Class.">
	   		<a href="http://www.semanticweb.com/ontology/pattern#RelationDomainRestrictionPattern">Relation Domain Restriction Pattern</a></li>
		<li><img src="images/infoButton.jpg" title="An owl Object Property which can point (Range) to those instances which belong to a specific owl Class.">
			<a href="http://www.semanticweb.com/ontology/pattern#RelationRangeRestrictionPattern">Relation Range Restriction Pattern</a></li>
	   	<li><img src="images/infoButton.jpg" title="A relation implied by the path formed by two or more owl Object Properties">
	   		<a href="http://www.semanticweb.com/ontology/pattern#RelationPathPattern">Relation Path Pattern</a></li>
        <li><img src="images/infoButton.jpg" title="An owl Object Property which can be applied (Domain) in those instances which belong to a specific owl Class and can point (Range) to those instances which belong to a specific owl Class.">
            <a href="http://www.semanticweb.com/ontology/pattern#RelationDomainRangeRestrictionPattern">Relation Domain-Range Restriction Pattern</a></li>
	</ul>
</div>

<div id="property-pattern-dialog" title="Property Pattern Selection">
	<ul>
	   	<li><img src="images/infoButton.jpg" title="An owl Datatype Property described by a URI.">
			<a href="http://www.semanticweb.com/ontology/pattern#SimplePropertyPattern">Simple Property Pattern</a></li>
		<li><img src="images/infoButton.jpg" title="An owl Datatype Property which can be applied (Domain) in those instances which belong to a specific owl Class.">
			<a href="http://www.semanticweb.com/ontology/pattern#PropertyDomainRestrictionPattern">Property Domain Restriction Pattern</a></li>
		<li><img src="images/infoButton.jpg" title="An owl Datatype Property the value of which is restricted to be within a specific datatype.">
			<a href="http://www.semanticweb.com/ontology/pattern#PropertyRangeRestrictionPattern">Property Range Restriction Pattern</a></li>
		<li><img src="images/infoButton.jpg" title="An owl Datatype Property which can point (Range) to those resources which belong to a specific owl Class.">
			<a href="http://www.semanticweb.com/ontology/pattern#PropertyValueRestrictionPattern">Property Value Restriction Pattern</a></li>
	 	<li><img src="images/infoButton.jpg" title="A property implied by the path formed by one or more owl Object Properties followed by an owl Datatype Property.">
	   		<a href="http://www.semanticweb.com/ontology/pattern#RelationPropertyPathPattern">Relation Property Path Pattern</a></li>
        <li><img src="images/infoButton.jpg" title="An owl Datatype Property which can be applied (Domain) in those instances which belong to a specific owl Class and its value is restricted to be within a specific datatype.">
            <a href="http://www.semanticweb.com/ontology/pattern#PropertyDomainRangeRestrictionPattern">Property Domain-Range Restriction Pattern</a>
	</ul>
</div>

<div id="instance-pattern-dialog" title="Instance Pattern Selection">
	<ul>
		<li><img src="images/infoButton.jpg" title="An owl Individual described by a URI.">
			<a href="http://www.semanticweb.com/ontology/pattern#SimpleInstancePattern">Simple Instance Pattern</a></li>
		<!-- +++ -->
	</ul>
</div>

<div id="dialog-message" title="Correspondence Instance">
    <p>
        <span class="ui-icon ui-icon-circle-check" style="float: left; margin: 0 7px 50px 0;"></span>
        The correspondence instance has been succesfully stored !
    </p>
</div>

<div id="infodialog" title="Note"></div>

</body>
</html>
